OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_SecurityClassification Class Reference

`#include <StepBasic_SecurityClassification.hxx>`

## Public Member Functions
Standard_EXPORT | StepBasic_SecurityClassification ()
| Returns a SecurityClassification .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aPurpose, const Handle(StepBasic_SecurityClassificationLevel)&aSecurityLevel)
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT void | SetPurpose (const Handle(TCollection_HAsciiString)&aPurpose)
Standard_EXPORT Handle_TCollection_HAsciiString | Purpose () const
Standard_EXPORT void | SetSecurityLevel (const Handle(StepBasic_SecurityClassificationLevel)&aSecurityLevel)
Standard_EXPORT Handle_StepBasic_SecurityClassificationLevel | SecurityLevel () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TCollection_HAsciiString | name
Handle_TCollection_HAsciiString | purpose
Handle_StepBasic_SecurityClassificationLevel | securityLevel

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_SecurityClassification::StepBasic_SecurityClassification | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_SecurityClassification::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void StepBasic_SecurityClassification::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aPurpose,
|  | const Handle(StepBasic_SecurityClassificationLevel)& | aSecurityLevel
| ) | `[virtual]`

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_SecurityClassification::Name | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_SecurityClassification::Purpose | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_SecurityClassificationLevel StepBasic_SecurityClassification::SecurityLevel | ( |  | ) | const

Standard_EXPORT void StepBasic_SecurityClassification::SetName | ( | const Handle(TCollection_HAsciiString)& | aName | ) |

Standard_EXPORT void StepBasic_SecurityClassification::SetPurpose | ( | const Handle(TCollection_HAsciiString)& | aPurpose | ) |

Standard_EXPORT void StepBasic_SecurityClassification::SetSecurityLevel | ( | const Handle(StepBasic_SecurityClassificationLevel)& | aSecurityLevel | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepBasic_SecurityClassification::name`[private]`

Handle_TCollection_HAsciiString StepBasic_SecurityClassification::purpose`[private]`

Handle_StepBasic_SecurityClassificationLevel StepBasic_SecurityClassification::securityLevel`[private]`

The documentation for this class was generated from the following file:

- StepBasic_SecurityClassification.hxx